跳转到主要内容
GET
/
client
/
batch
/
{batchNumber}
Retrieve a batch
curl --request GET \
  --url https://api.ship.uniuni.com/prod/client/batch/{batchNumber} \
  --header 'Authorization: Bearer <token>'
{ "message": "Success", "code": 0, "data": { "batchNumber": "URB0714000000000687", "batchName": "Test batch 1 7-14-2025", "status": "RECEIVED", "printedLabel": false, "createdAt": "2025-07-14T17:59:27.645Z", "updatedAt": "2025-07-14T18:53:57.669Z", "shipmentCount": 1, "shipments": [ "UNI07787536D" ] } }

授权

Authorization
string
header
必填

API access token generated from the UniUni Platform dashboard.

路径参数

batchNumber
string
必填

The unique batch number (e.g. URB0714000000000687).

响应

200 - application/json

Batch details or error

message
string
必填

Additional information about the request status.

code
integer
必填

Status code. 0 indicates success.

data
object